Grip CDDB buffer overflow

grip-cddb-bo (19648) The risk level is classified as HighHigh Risk

Description:

Grip is a CD player and CD ripper for the Gnome Desktop Environment running on Linux operating systems. Grip versions 3.1.2 and 3.2.0 and possibly other versions are vulnerable to a buffer overflow in the CD Database Protocol (CDDB). CDDB is used to query CD databases to get and update information. A remote attacker in control of a malicious CDDB server could return more than 16 matches to a query to overflow a buffer and possibly execute arbitrary code on the system.

Note libcdaudio1 versions 10.1, 10.2, and Corporate 3.0 are also vulnerable.


Consequences:

Gain Access

Remedy:

For Gentoo Linux:
Upgrade to the latest version of grip (3.3.0 and later), listed in Gentoo Linux Security Announcement GLSA 200503-21. See References..

For Gentoo Linux (GnomeVFS, libcdaudio):
Refer to Gentoo Linux Security Announcement GLSA 2005-04-07 for patch, upgrade, or suggested workaround information. See References.

For Mandrake-Linux: Upgrade to the latest libcdaudio1 package, as listed below. Refer to MandrakeSoft Security Advisory MDKSA-2005:075 for more information. See References.

Mandrakelinux 10.1: 0.99.10-1.1.101mdk or later
Mandrakelinux 10.1/X86_64: 0.99.10-1.1.101mdk or later
Corporate Server 3.0: 0.99.9-1.1.C30mdk or later
Corporate Server 3.0/X86_64: 0.99.9-1.1.C30mdk or later
Mandrivalinux LE2005: 0.99.10-2.1.102mdk or later
Mandrivalinux LE2005/X86_64: 0.99.10-2.1.102mdk or later

For Red Hat Linux:
Refer to RHSA-2005:304-08 for patch, upgrade, or suggested workaround information. See References.

References:

Platforms Affected:

  • Data General DG/UX 7.3.2.1
  • Gentoo Linux
  • MandrakeSoft Mandrake Linux 10.0 AMD64
  • MandrakeSoft Mandrake Linux 10.0
  • MandrakeSoft Mandrake Linux 10.1 X86_64
  • MandrakeSoft Mandrake Linux 10.1
  • MandrakeSoft Mandrake Linux 2008.0 X86_64
  • MandrakeSoft Mandrake Linux 2008.0
  • MandrakeSoft Mandrake Linux 2008.1 X86_64
  • MandrakeSoft Mandrake Linux 2008.1
  • MandrakeSoft Mandrake Linux LE2005 X86_64
  • MandrakeSoft Mandrake Linux LE2005
  • MandrakeSoft Mandrake Linux Corporate Server 3.0 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 3.0
  • Mandriva Linux 2009.0
  • Mandriva Linux 2009.0 X86_64
  • Mike Oliphant Grip 3.1.2
  • Mike Oliphant Grip 3.2.0
  • RedHat Enterprise Linux 2.1 WS
  • RedHat Enterprise Linux 2.1 ES
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Enterprise Linux 3 AS
  • RedHat Enterprise Linux 3 WS
  • RedHat Enterprise Linux 3 ES
  • RedHat Enterprise Linux 3 Desktop
  • RedHat Enterprise Linux 4 AS
  • RedHat Enterprise Linux 4 Desktop
  • RedHat Enterprise Linux 4 ES
  • RedHat Enterprise Linux 4 WS
  • RedHat Enterprise Linux 4.7.z AS
  • RedHat Linux Advanced Workstation 2.1 Itanium
  • RedHat Red Hat Enterprise Linux 4.7.z ES

Reported:

Mar 10, 2005

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page